com.brightcove.cast.model

## Class BrightcoveCastCustomData.Builder

- java.lang.Object
- - com.brightcove.cast.model.BrightcoveCastCustomData.Builder

- Enclosing class:
    BrightcoveCastCustomData

      public static class BrightcoveCastCustomData.Builder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder(BrightcoveCastCustomData brightcoveCastCustomData)` Creates a Builder object initialized with the values of the `customData` parameter.
    `Builder(android.content.Context context)` Default constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BrightcoveCastCustomData` | `build()`
    `BrightcoveCastCustomData.Builder` | `setAccountId(java.lang.String accountId)` Sets the brightcove account id
    `BrightcoveCastCustomData.Builder` | `setAdConfigId(java.lang.String adConfigId)` Sets the Brightcove AdConfigId value.
    `BrightcoveCastCustomData.Builder` | `setApplicationId(java.lang.String applicationId)` The application identifier for analytics.
    `BrightcoveCastCustomData.Builder` | `setBrightcoveAuthorizationToken(java.lang.String brightcoveAuthorizationToken)` Sets the Brightcove authorization token.
    `BrightcoveCastCustomData.Builder` | `setPlayerUrl(java.lang.String playerUrl)` Sets the player URL for a custom receiver app.
    `BrightcoveCastCustomData.Builder` | `setPolicyKey(java.lang.String policyKey)` Sets the player policy key.
    `BrightcoveCastCustomData.Builder` | `setSelectedTextAndAudioLanguages(java.util.Map<java.lang.String,java.lang.String> selectedTextAndAudioLanguages)` Sets the selected text and audio languages (or null, if they are not provided).
    `BrightcoveCastCustomData.Builder` | `setUserId(java.lang.String userId)` The user id to be used when sending custom data to the Cast Receiver app.
    `BrightcoveCastCustomData.Builder` | `setWatermarkingToken(java.lang.String watermarkingToken)` Sets the watermarking token to be set in the CatalogParams object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder(@NonNull
                         android.content.Context context)

      Default constructor

    - #### Builder

          public Builder(BrightcoveCastCustomData brightcoveCastCustomData)

      Creates a Builder object initialized with the values of the `customData` parameter.
      Parameters:
        `brightcoveCastCustomData` - values to initialize the object.

  - ### Method Detail

    - #### setAccountId

          public BrightcoveCastCustomData.Builder setAccountId(@Nullable
                                                               java.lang.String accountId)

      Sets the brightcove account id
      Returns:
        this builder instance.

    - #### setPolicyKey

          public BrightcoveCastCustomData.Builder setPolicyKey(@Nullable
                                                               java.lang.String policyKey)

      Sets the player policy key.
      Returns:
        this builder instance.

    - #### setUserId

          public BrightcoveCastCustomData.Builder setUserId(@Nullable
                                                            java.lang.String userId)

      The user id to be used when sending custom data to the Cast Receiver app. The receiver app will use this user id for Analytic's events. Settings.Secure.ANDROID_ID is used as the default value.
      Parameters:
        `userId` - the analytics user id.
      Returns:
        this builder instance.

    - #### setApplicationId

          public BrightcoveCastCustomData.Builder setApplicationId(@Nullable
                                                                   java.lang.String applicationId)

      The application identifier for analytics.
      Parameters:
        `applicationId` - the application id
      Returns:
        this builder instance.

    - #### setBrightcoveAuthorizationToken

          public BrightcoveCastCustomData.Builder setBrightcoveAuthorizationToken(@Nullable
                                                                                  java.lang.String brightcoveAuthorizationToken)

      Sets the Brightcove authorization token. Depending on your VideoCloud account configuration, this token might be required in order to successfully make certain requests.
      Parameters:
        `brightcoveAuthorizationToken` - the Brightcove authorization token
      Returns:
        the builder instance

    - #### setAdConfigId

          public BrightcoveCastCustomData.Builder setAdConfigId(@Nullable
                                                                java.lang.String adConfigId)

      Sets the Brightcove AdConfigId value. Depending on the type of content that you wish to cast, the AdConfigId could be required in order to successfully make certain requests.
      Parameters:
        `adConfigId` - the Brightcove adConfigId
      Returns:
        the builder instance

    - #### setSelectedTextAndAudioLanguages

          public BrightcoveCastCustomData.Builder setSelectedTextAndAudioLanguages(@Nullable
                                                                                   java.util.Map<java.lang.String,java.lang.String> selectedTextAndAudioLanguages)

      Sets the selected text and audio languages (or null, if they are not provided).
      Parameters:
        `selectedTextAndAudioLanguages` - the Brightcove adConfigId
      Returns:
        the builder instance

    - #### setPlayerUrl

          public BrightcoveCastCustomData.Builder setPlayerUrl(@Nullable
                                                               java.lang.String playerUrl)

      Sets the player URL for a custom receiver app.
      Parameters:
        `playerUrl` - the playerUrl for a custom receiver
      Returns:
        the builder instance

    - #### setWatermarkingToken

          public BrightcoveCastCustomData.Builder setWatermarkingToken(@Nullable
                                                                       java.lang.String watermarkingToken)

      Sets the watermarking token to be set in the CatalogParams object.
      Parameters:
        `watermarkingToken` - the watermarking token
      Returns:
        the builder instance

    - #### build

          public BrightcoveCastCustomData build()